text
stringlengths
2.5k
6.39M
kind
stringclasses
3 values
function contains_element { local e match="$1" shift for e; do [[ "$e" == "$match" ]] && return 0; done return 1 } function remove_trailing_slashes { echo $(realpath -s $1) } function clean_outdated { shopt -s nullglob local dir="$1" local check_children="$2" if [ ! -d "$dir" ]; then ...
the_stack
# Private Functions #=============================================================================== function is-verbose() { ((flag_verbose)) } function is-quiet() { ((flag_quiet)) } export bashmatic_db_config=${bashmatic_db_config:-"${HOME}/.db/database.yml"} declare -a bashmatic_db_connection unset bashmati...
the_stack
load 'test_helper/bats-support/load' load 'test_helper/bats-file/load' load 'test_helper/bats-assert/load' ######## SETUP TESTS ######## ROOTDIR="$(git rev-parse --show-toplevel)" SOURCEFILE="${ROOTDIR}/utilities/files.bash" BASEHELPERS="${ROOTDIR}/utilities/misc.bash" ALERTS="${ROOTDIR}/utilities/alerts.bash" PATH="...
the_stack
fifo=$1 padding=$2 separator=$3 bg='${msbg:-${mpbg:-$sbg}}' current_mode=buttons [[ $current_mode == song_info ]] && mode=buttons || mode=song_info function set_icon() { local icon="$(sed -n "s/mpd_${1}_icon=//p" ${0%/*}/icons)" eval mpd_${1}_icon=\"$icon\" } set_icon toggle #toggle="\$inner\${msfg:-\$sfg}%{A:sed...
the_stack
################################################### # check whether the given flag has been provided the required num of arguments # to be used within flag functions # Arguments: # ${1} = num of args # ${2} = all of the args # return 0 or 1 with usage for the flag ###################################################...
the_stack
function print_usage() { cat <<EOF Usage $0 [options] where options are: -h,--help Display this help message." --extract-packages Extracts the embedded RPM and Debian packages to install the Scalyr package repository configuration and exits....
the_stack
# Copyright 2019 Contributors to the Parsec project. # SPDX-License-Identifier: Apache-2.0 set -ex # The clean up procedure is called when the script finished or is interrupted cleanup () { echo "Shutdown Parsec and clean up" # Stop Parsec if running stop_service # Stop tpm_server if running if [ ...
the_stack
# Multi-platform helper for OpenOCD & QEMU builds, using Docker. # v===========================================================================v do_host_start_timer() { BEGIN_SEC=$(date +%s) echo "Script \"$0\" started at $(date)." } # v===========================================================================v...
the_stack
set -e # Copyright (c) Facebook, Inc. and its affiliates. # # This source code is licensed under the MIT license found in the # LICENSE file in the root directory of this source tree. # @nolint # This script launches the experiments on a cluster # It assumes two shell functions are defined: # # run_on_1machine: r...
the_stack
################### # Color constants # ################### # Ansi Colors ESC_SEQ="\033[" ANSI_NONE="${ESC_SEQ}39;49;00m" # Reset colors ANSI_RED="${ESC_SEQ}1;31m" ANSI_GREEN="${ESC_SEQ}1;32m" ANSI_YELLOW="${ESC_SEQ}1;33m" ANSI_CYAN="${ESC_SEQ}1;36m" ############################################## # Printing functions...
the_stack
function show_help() { cat <<-END USAGE: get_cromwell_memory_usage2.sh [OPTIONS] WORKFLOW_INFO Displays #tasks x #fields table of resource usage info with two header lines, and additional column of task descriptions. WORKFLOW_INFO: specifies workflow identity. Can be a) a cromwell workflow ID...
the_stack
# This script is called from Jenkins to promote the service and deploy using CloudFormation ENVIRONMENT="$1" BUILD_PATH="$2" # image name is optional IMAGE_NAME="$3" CFN_DEPLOY_RULES="$(readlink -f "${BUILD_PATH}/deploy/${ENVIRONMENT}.cfn.yaml")" echo "***************************************************************...
the_stack
# # This script performs integration tests against logisland in either docker or clustered mode. # # A test is defined by a directory located under the 'data' directory. The test directory must # contain an 'input' and an 'expected' file. The 'input' file is the file sent to logisland # using the kafkacat tool. The 'ex...
the_stack
# This script provisions Hipster Shop Cluster for Cloud Operations Sandbox using Terraform #set -euo pipefail set -o errexit # Exit on error #set -o nounset # Trigger error when expanding unset variables if [[ -n "$DEBUG" ]]; then set -x; fi # ensure the working dir is the script's folder SCRIPT_DIR=$(realpath $(dir...
the_stack
# 7q is as 7p but a modified topology with resnet-style skip connections, more layers, # skinnier bottlenecks, removing the 3-way splicing and skip-layer splicing, # and re-tuning the learning rate and l2 regularize. The configs are # standardized and substantially simplified. There isn't any advantage in WER # o...
the_stack
############################################################### # Globals ############################################################### # # Paths export ERIGONES_HOME=${ERIGONES_HOME:-"/opt/erigones"} export PYTHONPATH=${PYTHONPATH:-"${ERIGONES_HOME}:${ERIGONES_HOME}/envs/lib/python2.7/site-packages"} export PATH="${...
the_stack
info "1 - Control Plane Components" info "1.1 - Master Node Configuration Files" check_1_1_1="1.1.1 - Ensure that the API server pod specification file permissions are set to 644 or more restrictive (Automated)" if [ -f "/etc/kubernetes/manifests/kube-apiserver.manifest" ]; then # kops file="/etc/kubernetes/...
the_stack
help() { echo "Usage: sh elastic-control.sh [COMMAND] [OPTIONS]" echo "elastic-control is command line interface with ELASTIC CTR" echo "" echo "Commands:" echo "-r|--config_resource Configure training resource requirments. See bellow" echo "-a|--apply Apply configurations to start t...
the_stack
LIST_UTILS_VERSION='list-utils.sh v2.7' source bash-check.sh # make sure we're running bash >= 3.3 # Don't source this list more than once per session (per version) [[ "$LIST_UTILS_SH" = "$LIST_UTILS_VERSION" ]] && return LIST_UTILS_SH="$LIST_UTILS_VERSION" source help-util.sh source arg-utils.sh sour...
the_stack
ROOT_UID=0 release=Centos basename=$(pwd) zabbixsrc=$basename/zabbix-5.4.3 INSTALLDIR=/opt/zeus ZABBIX_HOME=$INSTALLDIR/zabbix PHP_CONF=/etc/opt/rh/rh-php73 sqldir=$basename/zabbix-5.4.3/database/postgresql PGDATA=$INSTALLDIR/pgdata zeusurl= function logprint() { if [ $? != 0 ]; then echo -e "\...
the_stack
if [ "$wadir" = "" ]; then echo "ERROR: wadir not specified" echo "" exit 1 fi config_dir_runtime=$config_dir config_dir=$prefix$config_dir wadir_runtime=$wadir wadir=$prefix$wadir ver=`cat "$wadir/version"` cd "$wadir" # Work out perl library path PERLLIB=$wadir # Validate source directory allmods=`cd "$wadir...
the_stack
startup_dirs=(/Library/LaunchAgents /Library/LaunchDaemons ~/Library/LaunchAgents ~/Library/LaunchDaemons /etc/emond.d/rules/) system_dirs=(/System/Library/LaunchAgents /System/Library/LaunchDaemons) RED='\033[0;31m' GREEN='\033[0;32m' YELLOW='\033[1;33m' NC='\033[0m' BOLD='\033[1m' # #-------------------------------...
the_stack
################################################# INITIALIZATION ####################################################### # # make sure we do nothing in case the library is sourced more than once in the same shell # [[ $__stdlib_sourced__ ]] && return __stdlib_sourced__=1 # # The only code that executes when the libra...
the_stack
echo "Show ENV Paramters:" # TRAVIS_ALLOW_FAILURE: # set to true if the job is allowed to fail. # set to false if the job is not allowed to fail. echo "TRAVIS_ALLOW_FAILURE: $TRAVIS_ALLOW_FAILURE" # TRAVIS_BRANCH: # for push builds, or builds not triggered by a pull request, this is the name of the branch. # for bui...
the_stack
function fancy_echo() { local fmt="$1"; shift printf "\\n>>> $fmt\\n" "$@" } clear WORKING_FOLDER="$1" # from 1st argument if [[ -z "${WORKING_FOLDER// }" ]]; then #it's blank so assign default: WORKING_FOLDER="git-basics-working" fi cd ~/ rm -rf $WORKING_FOLDER mkdir $WORKING_FOLDER ...
the_stack
# The platform variable is normally not set at the time libretro-config is # included by libretro-build.sh. Other platform scripts may begin to include # libretro-config as well if they define their platform-specific code in the # case block below. This is a band-aid fix that we will address after 1.1 is # released. ...
the_stack
set -xe # shellcheck disable=SC1091 source lib/logging.sh # shellcheck disable=SC1091 source lib/common.sh # shellcheck disable=SC1091 source lib/releases.sh # shellcheck disable=SC1091 source lib/network.sh export IRONIC_HOST="${CLUSTER_URL_HOST}" export IRONIC_HOST_IP="${CLUSTER_PROVISIONING_IP}" sudo mkdir -p "${...
the_stack
# 1n is as 1m but with significant changes, replacing TDNN layers with a # structure like run_tdnn_7n.sh. Seems better! But the improvement # versus the best TDNN system (see run_tdnn_7n.sh) is so small that it's # not really worth it when you consider how much slower it is. # local/chain/compare_wer_general.sh --rt...
the_stack
# set to minimum acceptible version of autoconf if [ "x$AUTOCONF_VERSION" = "x" ] ; then AUTOCONF_VERSION=2.58 fi # set to minimum acceptible version of automake if [ "x$AUTOMAKE_VERSION" = "x" ] ; then AUTOMAKE_VERSION=1.6.0 fi # set to minimum acceptible version of libtool if [ "x$LIBTOOL_VERSION" = "x" ] ; t...
the_stack
exit_status=0 #colors for terminal boldreduscore="\e[1;4;31m" boldred="\e[1;31m" cyan="\e[1;36m" resetformatting="\e[0m" min() { printf "%s\n" "${@:2}" | sort "$1" | head -n1 } max() { # using sort's -r (reverse) option - using tail instead of head is also possible min ${1}r ${@:2} } error() { echo -e...
the_stack
theme=~/.orw/themes/theme/openbox-3/themerc blacklist="Keyboard Status Monitor,DROPDOWN" function get_windows() { #[[ $1 ]] || local desktop=$current_desktop if [[ $1 =~ ^0x ]]; then local current_id=$1 else [[ $1 ]] && local desktop=$1 || local desktop=$current_desktop fi wmctrl -lG | awk '$2 ~ "'$desktop'"...
the_stack
# Unity DU Prevention Validation Test 1 # # Summary: Test remove initiator from one export group # # Basic Use Case for single host, single export group # 1. Create 2 volume, 1 host export # 2. Create two snapshots, and add snapsots to the export group # 3. Add a new initiator to the host outside of ViPR # 4. Remove vo...
the_stack
ASSERTJ_VERSION='3.21.0' AWAITILITY_VERSION='4.1.0' DAGGER_VERSION='2.37' DEPENDENCY_MANAGEMENT_PLUGIN_VERSION='1.0.11.RELEASE' DROPWIZARD_VERSION='2.0.25' IO_PROJECTREACTOR_VERSION='3.4.11' JSON_UNIT_VERSION='2.28.0' JSR305_VERSION='3.0.2' JUNIT_VERSION='4.13.2' JUNIT_PLATFORM_VERSION='5.8.1' MICROMETER_VERSION='1.7.4...
the_stack
source functions.sh readonly TARGET_COMMAND="../bin/unko.toilet" @test "普通に実行" { run "$TARGET_COMMAND" [ "$status" -eq 0 ] coverage "$TARGET_COMMAND" } @test "おかしなオプション--お菓子" { run "$TARGET_COMMAND" --お菓子 [ "$status" -ne 0 ] coverage "$TARGET_COMMAND" --お菓子 } readonly HANAGE_BASE64="ICAgICAgICAgICAgICAg...
the_stack
set -e source openfpga.sh PYTHON_EXEC=python3.8 ############################################### # OpenFPGA Shell with VPR8 ############################################## echo -e "Basic regression tests"; echo -e "Testing configuration chain of a K4N4 FPGA"; run-task basic_tests/full_testbench/configuration_chain $@ ru...
the_stack
set -e BASEPATH=$(cd "$(dirname $0)"; pwd) OUTPUT_PATH="${BASEPATH}/output" export BUILD_PATH="${BASEPATH}/build/" # print usage message usage() { echo "Usage:" echo "sh build.sh [-j[n]] [-h] [-v] [-s] [-t] [-u] [-c] [-S on|off] [-M]" echo "" echo "Options:" echo " -h Print usage" echo " -j[n] Set th...
the_stack
# This file is auto-generated set -ex if [[ "$GRPC_DNS_RESOLVER" == "" ]]; then export GRPC_DNS_RESOLVER=ares elif [[ "$GRPC_DNS_RESOLVER" != ares ]]; then echo "Unexpected: GRPC_DNS_RESOLVER=$GRPC_DNS_RESOLVER. This test only works with c-ares resolver" exit 1 fi cd "$(dirname "$0")/../../.." if [[ "$CONFIG"...
the_stack
return ######################################################################## # powerline symbols (require powerline font or terminal) ######################################################################## if [[ $TERM_PROGRAM == 'iTerm.app' ]]; then local powerline_hard_left_divider='%{%G%}' local powerlin...
the_stack
d_flag='false' print_usage() { echo "Usage: no flags for complete list. -d for all plugins with statuses other than deprecated or ready." } while getopts 'd' flag; do case "${flag}" in d) d_flag='true' ;; *) print_usage exit 1 ;; esac done #echo "Print output" #echo "-d is $d_flag" #exit 0 tpat...
the_stack
echo -n "Select your role in your team: 1-team lead; [2]-project-lead; 3-project team member: " read role echo #echo " You typed $role" #echo if [ -z "$role" ] || (( "$role" > 3 )) then role=2 echo "You role is set to $role " fi if [ $role -eq 3 ] then name1='team repository' name2='project repositor' elif...
the_stack
# Colors G='\e[01;32m' # GREEN TEXT R='\e[01;31m' # RED TEXT Y='\e[01;33m' # YELLOW TEXT B='\e[01;34m' # BLUE TEXT V='\e[01;35m' # VIOLET TEXT Bl='\e[01;30m' # BLACK TEXT C='\e[01;36m' # CYAN TEXT W='\e[01;37m' # WHITE TEXT L='\e[1;96m' # LIGHT TEXT BGBL='\e[1;30;47m' # Back...
the_stack
# Copyright 2020 Kyoto University (Hirofumi Inaguma) # Apache 2.0 (http://www.apache.org/licenses/LICENSE-2.0) echo ============================================================================ echo " LibriSpeech " echo =====================================...
the_stack
source ./hack/utils.sh remove-apiservices () { echo "Remove Orphaned Apiservices" for apiservice in `kubectl get apiservices 2>/dev/null | grep "False" | awk '{ print $1; }'`; do if [[ $apiservice =~ "clusterapi.io" ]] || [[ $apiservice =~ "clusterregistry.k8s.io" ]] || [[ $apiservice =~ "mcm.ibm.com" ]] || [[...
the_stack
set -eu -o pipefail ######################## # --- Script Summary --- # This script is the junction between the CIs of the public UI and influxdb OSS repos and the monitor-ci CI (private). # When the public CI is started, this script kicks off the private CI and waits for it to complete. # This script uses the CircleC...
the_stack
UPDATE_VER=V2.9.0 ### Farbdefinition GR='\e[1;32m' GE='\e[1;33m' WE='\e[1;37m' BL='\e[1;36m' RE='\e[1;31m' echo -e "\n\n\n${GE} ┌───────────────────────┐" echo -e " │ │" echo -e " │ ${BL} WS-Updater ${UPDATE_VER}${GE} │" ...
the_stack
# This file is part of eRCaGuy_dotfiles: https://github.com/ElectricRCAircraftGuy/eRCaGuy_dotfiles # Status: IT WORKS! USE AS A COMPLETE, 100% SYNTAX-COMPATIBLE, DROP-IN REPLACEMENT FOR `git diff`! # See details just below. # Author: Gabriel Staples # www.ElectricRCAircraftGuy.com # DESCRIPTION: # git-diffn....
the_stack
: <<'DOC' tag::catalog[] Title:: Maximum capacity script for subnet query workload test Goal:: Find maximum query requests per second that can be handled. Runbook:: . set up the testnet (nns + subnet installation) . repeatedly runs subnet_query_workload_test until it fails . start the workload generator . send user-...
the_stack
set -x # ************************Variable********************************************* ScriptPath="$( cd "$(dirname "$0")" ; pwd -P )""/" DEV_NAME=$1 #********************** UPDATE TO FIX ISSUE REGARDING /dev/mmc* MOUNTED SD CARD ********** if [[ $DEV_NAME == /dev/mmc* ]] then echo "Partion naming with p-prefix" ...
the_stack
# Copyright 2019 Kyoto University (Hirofumi Inaguma) # Apache 2.0 (http://www.apache.org/licenses/LICENSE-2.0) echo ============================================================================ echo " TEDLIUM2 " echo =====================================...
the_stack
# Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, software # distributed under th...
the_stack
############################################################# # Parameters # # - Set MPATH to use module tool # # - Set active model components (ATM, OCN and RTM) # # if it is active > 0, otherwise set as zero (0) # # ATM - ...
the_stack
#set -e #异常则退出整个脚本,避免错误累加 #set -x #脚本调试,逐行执行并输出执行的脚本命令行 ################## 前置变量 ################## # shellcheck source=/dev/null source <(curl -sL git.io/cg_script_option) curr_date=$(date "+%Y-%m-%d %H:%M:%S") ip_addr=$(hostname -I | awk '{print $1}') jellyfin_local_version=$(dpkg -l jellyfin | grep -Eo "[0-9.]+\.[0-...
the_stack
bert=$2 # bert-base-cased, bert-base-uncased, bert-large-uncased, span-bert-base, span-bert-large output=$3 args="${@:4}" # default configs use_neg=true max_sent_len=null tokenizer=space sentencizer=newline truncate_span_loss=true pair_ind_method=null special_loss=false use_attentive_span_repr=true use_head_attentive...
the_stack
# Interactive installer for modernish. # https://github.com/modernish/modernish # # This installer is itself an example of a modernish script (from '. modernish' on). # For more conventional examples, see share/doc/modernish/examples # # --- begin license --- # Copyright (c) 2019 Martijn Dekker <martijn@inlv.org> # # P...
the_stack
__cn_debug() { if [[ -n ${BASH_COMP_DEBUG_FILE} ]]; then echo "$*" >> "${BASH_COMP_DEBUG_FILE}" fi } # Homebrew on Macs have version 1.3 of bash-completion which doesn't include # _init_completion. This is a very minimal version of that function. __cn_init_completion() { COMPREPLY=() _get_comp_...
the_stack
export CUDA_VISIBLE_DEVICES=0 CLIENT_LOG="./client.log" SERVER_LOG="./inference_server.log" DATADIR=`pwd`/models SERVER=/opt/tritonserver/bin/tritonserver SERVER_TIMEOUT=15 source ../common/util.sh rm -f $CLIENT_LOG $SERVER_LOG RET=0 # CUSTOM CASES for address in default explicit; do if [ "$address" == "defaul...
the_stack
############################################################################# # $VERSION: [v4.4-23] $ # $DATE: [Sun Dec 31,2017 - 09:21:24PM -0600] $ # $AUTHOR: [mhassan2 <mhassan@splunk.com>] $ # #set -x #This function build .dot file for graphviz #################################################...
the_stack
# # check if important files exist; if not, abort mission! # Prevent major boo-boo's which only pollute our git repo! # are_we_okay() { if ! file_exists lib/util/ebnf-parser.js ; then return 1; # fail fi if ! file_exists lib/util/ebnf-transform.js ; then return 1; # fail fi if ! f...
the_stack
## # Copyright 2015 Telefónica Investigación y Desarrollo, S.A.U. # This file is part of openmano # All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); you may # not use this file except in compliance with the License. You may obtain # a copy of the License at # # http://www...
the_stack
# Uncomment the following to enable debugging # set -x # Set up locale if [ -f /etc/profile.d/lang.sh ]; then . /etc/profile.d/lang.sh fi ############################################################################### # Variables ############################################################################### SA...
the_stack
## # Colors. ## source tools/shell/colors.sh '' ## # Printing utilities. ## source tools/shell/print-utils.sh '' ## # Project aliases. ## source tools/shell/module-aliases.sh '' ## # Reports usage error and exits. ## reportUsageErrorAndExit() { printInfoTitle "<< ${0} usage >>" printInfoMessage "version increment ...
the_stack
# this file is covered by COPYING.SOFORT. # in the common scenario, host-specific tests are preceded # by a single invocation of cfgtest_host_section, whereas # native (build) system tests are preceded by the invocation # of cfgtest_native_section. # cfgdefs fraework variables: # mb_cfgtest_cc: the compiler used...
the_stack
# LSB Tags ### BEGIN INIT INFO # Provides: jetty # Required-Start: $local_fs $network # Required-Stop: $local_fs $network # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: Jetty start script. # Description: Start Jetty web server. ### END INIT INFO # Startup script for ...
the_stack
. ./cmd.sh set -e # exit on error # call the next line with the directory where the RM data is # (the argument below is just an example). This should contain # subdirectories named as follows: # rm1_audio1 rm1_audio2 rm2_audio #local/rm_data_prep.sh /mnt/matylda2/data/RM local/rm_data_prep.sh /export/corpora5/...
the_stack
verbose=false if [ "x$1" = "x-v" ]; then verbose=true out=/dev/stdout err=/dev/stderr else out=/dev/null err=/dev/null fi ## make & makeopts if gmake --version > /dev/null 2>&1; then make=gmake; else make=make; fi makeopts="--quiet --no-print-directory -j" make_print() { echo `$make $...
the_stack
cluster=$0 port=$1 K="kubectl --context=kind-${cluster}" # Operator spec for istio 1.7.x function install_istio_1_7() { cluster=$1 port=$2 K="kubectl --context=kind-${cluster}" echo "installing istio to ${cluster}..." cat << EOF | istioctl install --context "kind-${cluster}" -y -f - apiVersion: install.is...
the_stack
# Copyright (c) 2011 The Chromium Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. # usage: dirdiffer.sh old_dir new_dir patch_dir # # dirdiffer creates a patch directory patch_dir that represents the difference # between old_dir and ne...
the_stack
GETHATTACHPOINT=`grep IPCFILE settings.txt | sed "s/^.*=//"` PASSWORD=`grep PASSWORD settings.txt | sed "s/^.*=//"` TEMPOUTFILE=`grep TEMPOUTFILE settings.txt | sed "s/^.*=//"` EVENTRESULTFILE=`grep EVENTRESULTFILE settings.txt | sed "s/^.*=//"` TOKENDATAFILE=`grep TOKENDATA settings.txt | sed "s/^.*=//"` TOKENADDRES...
the_stack
############################################################################## # _ __ _ # # / |/ /__ _(_)__ __ __ # # / / _ `/ /...
the_stack
set -e # # Script to automate AOC installation on a Kubernetes cluster # # Pre-requisites: # 1. In order to install AOC server, atleast one node in the k8s cluster should have minimum 4 CPU and 16 GB RAM # 2. kubectl should point to the cluster # cleanup(){ clear; echo "=========== Cluster Information =====...
the_stack
# git-sample-repo-create.sh from within http://github.com/wilsonmar/git-utilities. # by Wilson Mar (wilsonmar@gmail.com, @wilsonmar) # This script was created for experiementing and learning Git. # Git commands in this script are meant as examples for manual entry # explained during my live "Git and GitHub" tutorials ...
the_stack
set +x YQ=yq LAGOONYML=.lagoon.yml ############################################## ### New JSON format for routes that can be defined in an environment variable ############################################## # cat << EOF > routes.json # {"routes": [ # { # "domain": "example.com", # "service": "ngin...
the_stack
echo "Deploying k8s resource..." [ -z `which kubectl` ] && echo "Deployed failed: You need to install 'kubectl' first." && exit 1 # Back to the root of the project cd $(dirname $0) cd ../.. DEFAULT_NAMESPACE=openpitrix-system NAMESPACE=${DEFAULT_NAMESPACE} VERSION="" METADATA=0 DBCTRL=0 BASE=0 DASHBOARD=0 INGRESS=0...
the_stack
# Copyright 2012 Johns Hopkins University (Author: Daniel Povey). Apache 2.0. # This script trains a fairly vanilla network with tanh nonlinearities. # Begin configuration section. cmd=run.pl num_epochs=15 # Number of epochs during which we reduce # the learning rate; number of iteration is ...
the_stack
# # Verify trapping & emulation on "mount" and "unmount2" syscalls # load ../../helpers/run load ../../helpers/syscall load ../../helpers/docker load ../../helpers/environment load ../../helpers/mounts load ../../helpers/sysbox-health function teardown() { sysbox_log_check } # Test to verify immutable mounts with...
the_stack
set -e ## Adapted from swbd for librispeech by David van Leeuwen # 7n is a kind of factorized TDNN, with skip connections # steps/info/chain_dir_info.pl exp/chain_cleaned/tdnn_1c_sp # exp/chain_cleaned/tdnn_1c_sp: num-iters=1307 nj=3..16 num-params=20.1M dim=40+100->6024 combine=-0.051->-0.050 (over 23) xent:train/v...
the_stack
export TOP_PID=$$ trap 'exit 2' KILL RDP_PROJ=$(dirname $(pwd)) RDP_DEPS=$RDP_PROJ/deps CPU_NUM=`grep processor /proc/cpuinfo | wc -l` CPU_NUM=`expr $CPU_NUM - 1` if [ $CPU_NUM -eq 0 ]; then CPU_NUM=1 fi if [ "x$1" == "x" ] then echo "USAGE: $0 prepare|3rd_party|comm|syncer_debug...
the_stack
function get_config { if [ -f "$1.ini" ]; then while read -r a b; do if [[ $2 == $a ]] then regex="^'(.*)'$" if [[ $b =~ $regex ]] then echo ${BASH_REMATCH[1]} set="true" break else if [[ -n $3 ]] then echo $3 ...
the_stack
topdir=$(pwd) scriptdir=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd ) # configuration # Source configuration file if it exists in the project directory if [ -f "$topdir/_config.sh" ]; then . "$topdir/_config.sh" fi site_title=${site_title:-"My Awesome Photos"} theme_dir=${theme_dir:-"theme1"} # widths to sca...
the_stack
# This is free software, licensed under the GNU General Public License v3. # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/>. # set initial defaults # LC_ALL=C PATH="/usr/sbin:/usr/bin:/sbin:/bin" adb_ver="2.8.5" adb_sysver="$(ubus...
the_stack
#rsync -t -av --progress /srv/gsfs0/scratch/leepc12/run/imk_chipseq_surya_121-150 nandi.stanford.edu:/srv/scratch/leepc12/ #cd /srv/gsfs0/scratch/leepc12/run/imk_chipseq #find . -wholename '*/true_reps/*_rep1-rep2.IDR0.05.filt.narrowPeak.gz' #grep -rl 'rror' --include=*.BDS.log | grep -v 'Done report' #grep -rl -e 'rro...
the_stack
NO_COLOR=${NO_COLOR:-""} if [ -z "$NO_COLOR" ]; then header_color=$'\e[1;33m' reset_color=$'\e[0m' else header_color='' reset_color='' fi operIMG=quay.io/example/memcached-operator:v0.0.1 bundleIMG=quay.io/example-bundle/memcached-operator:v0.0.1 MEMCACHE_CONTROLLER_OLD_RECONCILER='kubebuilder' MEMCACHE_CONTR...
the_stack
# -------------------------------------------------------------------- # -- ***************************** # -- * Trenz Electronic GmbH * # -- * Holzweg 19A * # -- * 32257 Bünde * # -- * Germany * # -- ***************************** # ---------------------------...
the_stack
# Run this script from Xcode (target & scheme "CodeGenTests"): # it has a dependency and also relies on variables set by Xcode echo -n "note: Starting tests at " date if [ -z ${PROJECT_DIR} ]; then echo "PROJECT_DIR unavailable; please run from Xcode" # TODO: In the future we could also setup the vars for deri...
the_stack
# Copyright 2009 The Go Authors. All rights reserved. # Use of this source code is governed by a BSD-style # license that can be found in the LICENSE file. # Create sysinfo.go. # This shell script creates the sysinfo.go file which holds types and # constants extracted from the system header files. This relies on a #...
the_stack
# posixcube.sh # A POSIX compliant, shell script-based server automation framework. POSIXCUBE_VERSION=0.2.1 # On why we don't use `set -e` or `set -u`, see the Philosophy section, #2. p_show_usage() { if [ ${#} -ne 0 ]; then p_printf_error "${@}" fi cat <<'HEREDOC' usage: posixcube.sh -h HOST... [-l] [-...
the_stack
# Copyright (c) 2015-2018, The Kovri I2P Router Project # # All rights reserved. # # Redistribution and use in source and binary forms, with or without modification, are # permitted provided that the following conditions are met: # # 1. Redistributions of source code must retain the above copyright notice, this list of...
the_stack
printer=-P${PRINTER=PostScript} while test $# != 0 do case "$1" in -P*) printer=$1 ;; esac shift done lpr $printer -h << EOF %! /ucseal where {pop(UC seal in place\n)print flush stop} {serverdict begin statusdict begin 0 checkpassword {(UC font downloaded.\n)print flush 0 exitserver} {(Bad Password on loading UC s...
the_stack
### Import global variables from configuration file CONFIG_FILE="${HOME}/wireguard/wgcg/wgcg.conf" for CF in "${WGCG_CONFIG_FILE}" "${CONFIG_FILE}"; do if [[ -f "${CF}" ]]; then CONFIG_FILE="${CF}" source "${CONFIG_FILE}" break fi done ### Global variables # Default options # Server name (wireguard int...
the_stack
cat <<EOF ######################################################################### # Setup OpenVPN + Obfsproxy to bypass Censorship # # Bypass Advanced Internet Firewalls # # Github : https://github.com/khavishbhundoo/obfsproxy-openvpn/ # # Author...
the_stack
set -o nounset set -o pipefail set -o errexit filter-py() { grep -E -v '__init__.py$|_gen.py|_test.py|_tests.py$' } readonly -a ASDL_FILES=( {frontend,core}/*.asdl ) # OSH and common osh-files() { # Exclude: # - line_input.c because I didn't write it. It still should be minimized. # - code generators # - ...
the_stack
echo c - plat-freebsd2 mkdir -p plat-freebsd2 > /dev/null 2>&1 echo x - plat-freebsd2/FCNTL.py sed 's/^X//' >plat-freebsd2/FCNTL.py << 'END-of-plat-freebsd2/FCNTL.py' X# Generated by h2py from /usr/include/fcntl.h X X# Included from sys/types.h X X# Included from sys/cdefs.h Xdef __P(protos): return protos X Xdef __...
the_stack
# This program is free software. It comes without any warranty, to # the extent permitted by applicable law. You can redistribute it # and/or modify it under the terms of the Do What The {censored} You Want # To Public License, Version 2, as published by Sam Hocevar. See # http://www.wtfpl.net/ for more details. */ # ...
the_stack
# # Sysbox installer integration-tests for scenarios where 'shiftfs' kernel # module is available. # load ../helpers/run load ../helpers/docker load ../helpers/fs load ../helpers/sysbox-health load ../helpers/installer function teardown() { sysbox_log_check } # # Testcase #1. # # Ensure that this testcase always ...
the_stack
SCRIPT=$(readlink -f "$0") && cd $(dirname "$SCRIPT") # --- Script Init --- mkdir -p log rm -R -f log/* # --- Setup run dirs --- find output -type f -not -name '*summary-info*' -not -name '*.json' -exec rm -R -f {} + mkdir output/full_correlation/ rm -R -f /tmp/%FIFO_DIR%/fifo/* mkdir /tmp/%FIFO_DIR%/fifo/full_cor...
the_stack
ARG1="$1" ROOT_FOLDER="" SCRIPT_NAME="$0" SCRIPT_VERSION="1.2.3" VERSION="" WEB_FOLDER="" ORG_INDEX_FILE="index.original.html" INDEX_FILE="index.html" TMP_FOLDER="/tmp/tr-web-control" PACK_NAME="master.tar.gz" WEB_HOST="https://github.com/ronggang/transmission-web-control/archive/" DOWNLOAD_URL="$WEB_HOST$PACK_NAME" # ...
the_stack
# Copyright Istio Authors. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agre...
the_stack
# Copyright (C) The Arvados Authors. All rights reserved. # # SPDX-License-Identifier: CC-BY-SA-3.0 # If you want to test arvados in a single host, you can run this script, which # will install it using salt masterless # This script is run by the Vagrant file when you run it with # # vagrant up set -o pipefail # cap...
the_stack
set -ue BACKUP_FILES="/etc/hosts /etc/hostname" checkRoot ####################################################### # Randomize the link /etc/localtime from systemd # from paranoid.conf, need $zoneinfo_dir , $timezone_dir monthName() { case ${1#0} in Jan*) echo 01 ;; Feb*) echo 02 ;; Mar*) echo 03 ;; ...
the_stack
# STATUS # I think the kiwi tests work (see "kiwi test" below) # Maybe ready to try on arm machine again... echo args="$@" for arg; do echo arg="'$arg'"; done echo --- # arg_array=( "$@" ) # for aarg in "${arg_array[@]}"; do echo aarg="$aarg"; done # echo --- # echo a3=$3 # echo aa3=${arg_array[2]} # # if [ "$1" =...
the_stack